%define api3		2.91

%define lib3_major	0
%define lib3_name	%mklibname vte %{api3} %{lib3_major}
%define gir3name	%mklibname vte-gir %{api3}
%define develname3	%mklibname -d %{name}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		vte3
Version:	0.48.3
Release:	%mkrel 1
Summary:	A terminal emulator widget
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.gnome.org/
Source0:	https://download.gnome.org/sources/vte/%{url_ver}/vte-%{version}.tar.xz
Patch0:		vte-0.43.2-pthread-link.patch
BuildRequires:	pkgconfig(cairo-xlib)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.1.9
BuildRequires:	pkgconfig(pango) >= 1.22.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	automake
BuildRequires:	gtk-doc
BuildRequires:	gobject-introspection-devel
BuildRequires:	intltool
BuildRequires:	vala-devel
BuildRequires:	gperf
Requires:	%{name}-profile

%description
VTE is a terminal emulator widget for use with GTK+ 3.0.

%package -n %{lib3_name}
Summary:	A terminal emulator widget
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n %{lib3_name}
VTE is a terminal emulator widget for use with GTK+ 3.0.

%package -n %{develname3}
Summary:	Files needed for developing applications which use VTE
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires: 	%{lib3_name} = %{version}-%{release}
Requires:	%{gir3name} = %{version}-%{release}

%description -n %{develname3}
VTE is a terminal emulator widget for use with GTK+ 3.0.  This
package contains the files needed for building applications using VTE.

%package -n %{gir3name}
Summary:	GObject Introspection interface description for vte with GTK+ 3.0
Group:		System/Libraries
Requires:	%{lib3_name} = %{version}-%{release}
Conflicts:	%{lib3_name} < 0.28.1-2

%description -n %{gir3name}
GObject Introspection interface description for vte with GTK+ 3.0.

%package profile
Summary:	Profile script for VTE terminal emulator library
BuildArch:	noarch
Conflicts:	%{name} < 0.37.90-2

%description profile
This package package contains a profile.d script for the VTE terminal
emulator library.

%prep
%setup -qn vte-%{version}
%autopatch -p1

%build
autoreconf -fi
%configure2_5x \
	--enable-shared \
	--disable-static \
	--libexecdir=%{_libexecdir}/%{name} \
	--enable-gtk-doc \
	--enable-introspection
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete
%find_lang vte-%{api3}

%files -f vte-%{api3}.lang
%doc COPYING HACKING NEWS README
%{_bindir}/vte-%{api3}

%files profile
%{_sysconfdir}/profile.d/vte.sh

%files -n %{lib3_name}
%{_libdir}/libvte-%{api3}.so.%{lib3_major}.*
%{_libdir}/libvte-%{api3}.so.0

%files -n %{gir3name}
%{_libdir}/girepository-1.0/Vte-%{api3}.typelib

%files -n %{develname3}
%doc %{_datadir}/gtk-doc/html/vte-%{api3}
%{_includedir}/vte-%{api3}
%{_libdir}/libvte-%{api3}.so
%{_libdir}/pkgconfig/vte-%{api3}.pc
%{_datadir}/gir-1.0/Vte-%{api3}.gir
%{_datadir}/vala/vapi/vte-%{api3}.vapi


%changelog
* Wed May 10 2017 ovitters <ovitters> 0.48.3-1.mga6
+ Revision: 1100078
- new version 0.48.3

* Wed Apr 12 2017 ovitters <ovitters> 0.48.2-1.mga6
+ Revision: 1096462
- new version 0.48.2

* Wed Mar 22 2017 ovitters <ovitters> 0.48.1-1.mga6
+ Revision: 1094357
- new version 0.48.1

* Mon Nov 07 2016 ovitters <ovitters> 0.46.1-1.mga6
+ Revision: 1065714
- new version 0.46.1

* Mon Sep 26 2016 tv <tv> 0.46.0-4.mga6
+ Revision: 1056828
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Mon Sep 19 2016 tv <tv> 0.46.0-3.mga6
+ Revision: 1054162
- rebuild for fixed typelib() provides

* Mon Sep 19 2016 tv <tv> 0.46.0-2.mga6
+ Revision: 1054137
- rebuid for proper typelib() provides

* Mon Sep 19 2016 ovitters <ovitters> 0.46.0-1.mga6
+ Revision: 1054114
- new version 0.46.0

* Sun Sep 18 2016 ovitters <ovitters> 0.45.90-1.mga6
+ Revision: 1053918
- new version 0.45.90

* Sat Aug 13 2016 wally <wally> 0.44.2-2.mga6
+ Revision: 1046307
- remove unneeded requires for ncurses-extraterms (as xterm-256color was moved to main ncurses pkg)

* Tue May 10 2016 ovitters <ovitters> 0.44.2-1.mga6
+ Revision: 1012156
- new version 0.44.2

* Mon Apr 11 2016 ovitters <ovitters> 0.44.1-1.mga6
+ Revision: 1000400
- new version 0.44.1

* Tue Mar 22 2016 ovitters <ovitters> 0.44.0-1.mga6
+ Revision: 993960
- new version 0.44.0

* Tue Mar 15 2016 ovitters <ovitters> 0.43.92-1.mga6
+ Revision: 990964
- new version 0.43.92

* Tue Mar 01 2016 ovitters <ovitters> 0.43.91-1.mga6
+ Revision: 981610
- new version 0.43.91

* Fri Feb 19 2016 tv <tv> 0.43.90-1.mga6
+ Revision: 967611
- 0.43.90

* Mon Feb 15 2016 luigiwalser <luigiwalser> 0.43.2-1.mga6
+ Revision: 960482
- add patch to fix linking pthread

  + ovitters <ovitters>
    - new version 0.43.2
    - new version 0.43.1

* Tue Jan 12 2016 danf <danf> 0.43.0-2.mga6
+ Revision: 922261
- Rebuild for new gnutls

* Mon Nov 23 2015 ovitters <ovitters> 0.43.0-1.mga6
+ Revision: 905180
- new version 0.43.0

* Wed Oct 14 2015 ovitters <ovitters> 0.42.1-1.mga6
+ Revision: 891124
- new version 0.42.1

* Thu Sep 24 2015 tv <tv> 0.42.0-1.mga6
+ Revision: 882562
- adjust file list
- new release

* Thu Aug 20 2015 ovitters <ovitters> 0.41.90-1.mga6
+ Revision: 866954
- new version 0.41.90

* Mon Jun 29 2015 wally <wally> 0.40.2-3.mga6
+ Revision: 847872
- add requires for gir pkg to devel pkg

* Wed Jun 24 2015 ovitters <ovitters> 0.40.2-2.mga6
+ Revision: 841684
- require ncurses-extraterms as vte now defaults to TERM=xterm-256color

* Mon Jun 22 2015 ovitters <ovitters> 0.40.2-1.mga6
+ Revision: 839852
- new version 0.40.2

* Mon Dec 22 2014 ovitters <ovitters> 0.38.3-1.mga5
+ Revision: 804795
- new version 0.38.3

* Tue Nov 11 2014 ovitters <ovitters> 0.38.2-1.mga5
+ Revision: 796299
- new version 0.38.2

* Wed Oct 15 2014 umeabot <umeabot> 0.38.1-2.mga5
+ Revision: 741332
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 0.38.1-1.mga5
+ Revision: 738335
- new version 0.38.1

* Fri Sep 26 2014 wally <wally> 0.38.0-3.mga5
+ Revision: 724973
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.38.0-2.mga5
+ Revision: 690249
- Mageia 5 Mass Rebuild

* Sun Sep 14 2014 ovitters <ovitters> 0.38.0-1.mga5
+ Revision: 675292
- new version 0.38.0

* Tue Aug 26 2014 wally <wally> 0.37.90-2.mga5
+ Revision: 668427
- split out profile.d script to be also used with vte2.90

* Sat Aug 23 2014 dams <dams> 0.37.90-1.mga5
+ Revision: 666712
- new version 0.37.90

* Mon Jul 21 2014 colin <colin> 0.37.2-2.mga5
+ Revision: 655163
- Fix terminal title tilde handling with bash 4.3+ (bgo#733504)

* Mon Jun 23 2014 ovitters <ovitters> 0.37.2-1.mga5
+ Revision: 638979
- new version 0.37.2

* Thu May 29 2014 ovitters <ovitters> 0.37.1-1.mga5
+ Revision: 627682
- new version 0.37.1
- drop patch (seems merged, not sure)

* Mon May 12 2014 ovitters <ovitters> 0.36.2-1.mga5
+ Revision: 622309
- new version 0.36.2

* Sat Apr 26 2014 ovitters <ovitters> 0.36.1-1.mga5
+ Revision: 618214
- new version 0.36.1

* Mon Mar 24 2014 ovitters <ovitters> 0.36.0-1.mga5
+ Revision: 608017
- new version 0.36.0

* Tue Feb 18 2014 ovitters <ovitters> 0.35.2-1.mga5
+ Revision: 594496
- new version 0.35.2

* Wed Feb 05 2014 ovitters <ovitters> 0.35.1-1.mga5
+ Revision: 582835
- new version 0.35.1

* Tue Oct 22 2013 umeabot <umeabot> 0.34.9-2.mga4
+ Revision: 542436
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 0.34.9-1.mga4
+ Revision: 497572
- new version 0.34.9

* Tue Sep 17 2013 ovitters <ovitters> 0.34.8-1.mga4
+ Revision: 480514
- new version 0.34.8

* Wed Jul 10 2013 ovitters <ovitters> 0.34.7-1.mga4
+ Revision: 452668
- new version 0.34.7

* Mon Jun 10 2013 ovitters <ovitters> 0.34.6-1.mga4
+ Revision: 441850
- new version 0.34.6

* Fri May 24 2013 fwang <fwang> 0.34.5-1.mga4
+ Revision: 425768
- new version 0.34.5

* Mon Jan 14 2013 umeabot <umeabot> 0.34.2-3.mga3
+ Revision: 385577
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 pterjan <pterjan> 0.34.2-2.mga3
+ Revision: 337864
- Fix for _libdir != _libexecdir

* Tue Nov 13 2012 fwang <fwang> 0.34.2-1.mga3
+ Revision: 317440
- new version 0.34.2

* Tue Oct 16 2012 ovitters <ovitters> 0.34.1-1.mga3
+ Revision: 307007
- new version 0.34.1

* Mon Sep 17 2012 fwang <fwang> 0.34.0-1.mga3
+ Revision: 294667
- new version 0.34.0

* Wed Aug 29 2012 fwang <fwang> 0.33.90-1.mga3
+ Revision: 285485
- update file list
- new version 0.33.90

* Sun Aug 05 2012 fwang <fwang> 0.32.2-2.mga3
+ Revision: 278949
- use real libexecdir

* Tue May 29 2012 ovitters <ovitters> 0.32.2-1.mga3
+ Revision: 249490
- new version 0.32.2

* Mon Apr 16 2012 ovitters <ovitters> 0.32.1-1.mga2
+ Revision: 231107
- new version 0.32.1

* Wed Mar 21 2012 ovitters <ovitters> 0.32.0-1.mga2
+ Revision: 225481
- clean spec
- update file list
- new version 0.32.0
- drop merged patch

* Thu Mar 08 2012 colin <colin> 0.31.0-3.mga2
+ Revision: 221411
- Require ncurses for tgetent
- Fix mouse scrolling after latest gtk+ (bgo#671305)

* Tue Nov 22 2011 wally <wally> 0.31.0-2.mga2
+ Revision: 170930
- add P0 to fix Alt+key combinations not working (bgo#663779)

* Mon Nov 21 2011 wally <wally> 0.31.0-1.mga2
+ Revision: 170468
- new version 0.31.0
- clean .spec a bit

* Mon Oct 17 2011 fwang <fwang> 0.30.1-1.mga2
+ Revision: 155712
- new version 0.30.1

* Mon Sep 26 2011 fwang <fwang> 0.30.0-1.mga2
+ Revision: 148646
- new version 0.30.0

* Sat Sep 17 2011 fwang <fwang> 0.29.1-1.mga2
+ Revision: 144493
- fix req
- commit sha1
- 0.29.1: gtk3-only
- Created package structure for vte3.

